/*
 *    BerryBasketModel.java
 *    Copyright (C) 2001 New Zealand Digital Library Project
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package org.nzdl.gsdl.SimpleGraphicalClient;


import java.util.*;
import javax.swing.event.*;
import javax.swing.*;
import javax.swing.table.*; 
import java.awt.*;


class BerryBasketModel extends AbstractTableModel
{

 String[] content = {"Doc1", "Doc2", "Doc3"};
 String[] columnTitles = {"Document", "Person", "Date"};
 
 
	public BerryBasketModel()
	{
		super();
	}

	public void add(Berry berry)
	{
		System.out.println("adding to BerryBasketModel: "  + berry.toString());	
		//addElement(berry);
	}

	
	public int getColumnCount() { return columnTitles.length; }
	
    public int getRowCount() { return content.length;}
	
    public Object getValueAt(int row, int col) { 
	     // get Berry object
		 // extract document title (say), person, date info from Berry object
		 // depending on column number
		 // column reordering shouldn't matter, all
		 // gets dealt with automatically
	     return Color.black; 
	}
	
    public String getColumnName(int col) {
               return columnTitles[col];
    }
	
}
